import json

import requests


class Helper(object):
    @staticmethod
    def get(url, params):
        return requests.get(url, data={"data": json.dumps(params)})

    @staticmethod
    def post(url, params):
        return requests.post(url, data={"data": json.dumps(params)})

    @staticmethod
    def get_zip_data(list1, list2):
        if list1 and list2:
            if isinstance(list1, list) and isinstance(list2, list):
                return dict(zip(list1, list2))
